# 32/64bit spec-file
#
%define oname fox
%define name %{oname}1.6
%define version 1.6.56
%define release %mkrel 1.1

%define libname %mklibname %{oname} 1.6 0
%define develname %mklibname %{name} -d

Summary:	The FOX C++ GUI Toolkit
Summary(de):	Der FOX C++ GUI Werkzeugkasten
Name:		%{name}
Version:	%version
Release:	%release
License:	LGPLv2+
Group:		Development/C++
URL:		http://www.fox-toolkit.org
Source:		http://www.fox-toolkit.org/ftp/%{oname}-%{version}.tar.xz
Patch0:		fox-1.6.36-fix-str-fmt.patch
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	%{_lib}cups2-devel
BuildRequires:	%{_lib}bzip2-devel
BuildRequires:	%{_lib}fontconfig-devel
BuildRequires:	%{_lib}xft-devel
BuildRequires:	%{_lib}xi-devel
BuildRequires:	%{_lib}xcursor-devel
BuildRequires:	%{_lib}xrandr2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%description -l de
FOX ist eine C++ basierte Bibliothek für die Entwicklung von grafischen 
Benutzerschnittstellen. FOX unterstützt moderne GUI Eigenschaften wie 
Drag and Drop, Tooltips, Tabs, Verzeichnisbäume, Symbole, Multiple-Document 
Interfaces (MDI), Stopuhren, automatisches GUI-Update, genauso wie OpenGL/Mesa
für 3D Grafiken. Das erzeugen von Subklassen der Basis-FOX-Widgets erlaubt das
Erweitern der eingebauten Widgets.

%package -n %{libname}
Summary:	The FOX C++ GUI Toolkit - Libraries
Summary(de):	Der FOX C++ GUI Werkzeugkasten - Bibliotheken
Group:		System/Libraries
Obsoletes:	%{libname} < %version

%description -n %{libname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%description -n %{libname} -l de
FOX ist eine C++ basierte Bibliothek für die Entwicklung von grafischen 
Benutzerschnittstellen. FOX unterstützt moderne GUI Eigenschaften wie 
Drag and Drop, Tooltips, Tabs, Verzeichnisbäume, Symbole, Multiple-Document 
Interfaces (MDI), Stopuhren, automatisches GUI-Update, genauso wie OpenGL/Mesa
für 3D Grafiken. Das erzeugen von Subklassen der Basis-FOX-Widgets erlaubt das
Erweitern der eingebauten Widgets.

%package -n %{develname}
Summary:	FOX header files
Summary(de):	FOX Header-Dateien
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	fox1.6-devel = %{version}-%{release}
Provides:	libfox1.6-devel = %{version}-%{release}
Conflicts:	fox1.4-devel
Conflicts:	fox1.7-devel
Obsoletes:	%{develname} < %version

%description -n %{develname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

This package contains the necessary files to develop applications
with FOX.

%description -n %{develname} -l de
FOX ist eine C++ basierte Bibliothek für die Entwicklung von grafischen 
Benutzerschnittstellen. FOX unterstützt moderne GUI Eigenschaften wie 
Drag and Drop, Tooltips, Tabs, Verzeichnisbäume, Symbole, Multiple-Document 
Interfaces (MDI), Stopuhren, automatisches GUI-Update, genauso wie OpenGL/Mesa
für 3D Grafiken. Das erzeugen von Subklassen der Basis-FOX-Widgets erlaubt das
Erweitern der eingebauten Widgets.

Dieses Paket enthält die benötigten Dateien um Programme mit FOX zu 
entwickeln.


%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0

%build
LDFLAGS="-lfontconfig" %configure2_5x \
	--with-opengl=yes \
	--enable-cups \
	--with-xft \
	--with-xcursor \
	--with-xrandr \
	--with-shape \
	--with-xshm \
   	--disable-static \
	--enable-threadsafe \
	--enable-release

%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std

mv %{buildroot}%{_datadir}/doc/fox-1.6/* installed-docs
%multiarch_binaries %{buildroot}%{_bindir}/fox-config

rm -rf %buildroot%_prefix/fox %buildroot%_bindir/Adie.stx \
       %buildroot%_bindir/PathFinder %buildroot%_bindir/adie \
       %buildroot%_bindir/calculator %buildroot%_bindir/shutterbug \
       %buildroot%_mandir/man1/PathFinder* %buildroot%_mandir/man1/adie* \
       %buildroot%_mandir/man1/calculator* %buildroot%_mandir/man1/shutterbug*

rm -rf %buildroot/%{_libdir}/*.la

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS LICENSE README
%{_libdir}/*-1.6.so.0*

%files -n %{develname}
%defattr(-,root,root)
%doc doc ADDITIONS TRACING
%doc installed-docs
%doc %{_mandir}/man1/reswrap*
%{_bindir}/reswrap
%_bindir/fox-config
%multiarch_bindir/fox-config
%dir %{_includedir}/fox-1.6
%{_includedir}/fox-1.6/*
%{_libdir}/pkgconfig/fox.pc
%{_libdir}/*.so

%changelog
* Tue Nov 06 2018 adrianomorselli <adrianomorselli> 1.6.56-1.1uplos2018
- update
